%define fetchmail_userid 65040
%define fetchmail_groupid 65040
%define vmail_groupid 64901
%define vmail_userid  64907
%define majver %(echo %version | cut -d. -f1-2)

Name:          fetchmail
Version:       6.4.36
Release:       1mamba
Summary:       A mail-retrieval and forwarding utility
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.fetchmail.info/
Source:        https://sourceforge.net/projects/fetchmail/files/branch_%{majver}/fetchmail-%{version}.tar.xz
Source1:       fetchmail.service
Source2:       %{name}-fetchmailrc
Source3:       fetchmail-tmpfiles.conf
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: maildrop >= 1.6.3
Requires:      python-tk >= 2.4.3
Requires:      maildrop >= 1.6.3

%description
Fetchmail is a mail-retrieval and forwarding utility; it fetches mail from remote mailservers and forwards it to your local (client) machine’s delivery system. You can then handle the retrieved mail using normal mail user agents such as mutt(1), elm(1) or Mail(1). The fetchmail utility can be run in a daemon mode to repeatedly poll one or more systems at a specified interval.  
The  fetchmail program can gather mail from servers supporting any of the common mail-retrieval protocols: POP2 (legacy, to be removed from future release), POP3, IMAP2bis, IMAP4, and IMAP4rev1. It can also use the ESMTP ETRN extension and ODMR. (The RFCs describing all these protocols are listed at the end of this manual page.) 

%debug_package

%prep
%setup -q

%build
%configure \
   --with-ssl \
   PYTHON=%{__python3}

%make
#sed -i "s|/lib/python.*/site-packages|/lib/site-python|" fetchmailconf

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   pythondir=%{python3_sitearch} \
   pyexecdir=%{python3_sitelib}

install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/fetchmail.service
install -D -m0640 %{SOURCE2} %{buildroot}%{_sysconfdir}/fetchmailrc
install -D -m0640 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/fetchmail.conf
install -d %{buildroot}/var/log/fetchmail/
install -d %{buildroot}/var/lock/fetchmail/

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   groupadd vmail -g %{vmail_groupid} 2>/dev/null
   useradd -u %{vmail_userid} -c 'Virtual Mailboxes' -d /var/vmail -g vmail \
       -s /bin/false vmail 2>/dev/null
fi
:

%preun
%systemd_preun fetchmail
:

%post
%systemd_post fetchmail
:

%postun
%systemd_postun fetchmail
:

%posttrans
# clean broken old sysv links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_unitdir}/fetchmail.service
%attr(0640,vmail,vmail) %config(noreplace) %{_sysconfdir}/fetchmailrc
%{_tmpfilesdir}/fetchmail.conf
%{_bindir}/fetchmail
%{_bindir}/fetchmailconf
%{python3_sitearch}/fetchmailconf.py*
%{python3_sitearch}/__pycache__/fetchmailconf.cpython*.py*
%attr(0750,vmail,vmail) %dir /var/lock/fetchmail
%attr(0750,vmail,vmail) %dir /var/log/fetchmail
%{_mandir}/man1/fetchmail.1*
%{_mandir}/man1/fetchmailconf.1*
%doc COPYING
#NEWS README README.NTLM README.SSL TODO

%changelog
* Sat Jan 28 2023 Automatic Build System <autodist@mambasoft.it> 6.4.36-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 6.4.35-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 6.4.34-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 6.4.33-1mamba
- automatic version update by autodist

* Sat Jul 30 2022 Automatic Build System <autodist@mambasoft.it> 6.4.32-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 6.4.31-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Automatic Build System <autodist@mambasoft.it> 6.4.30-1mamba
- automatic version update by autodist

* Sun Mar 20 2022 Automatic Build System <autodist@mambasoft.it> 6.4.29-1mamba
- automatic version update by autodist

* Sun Mar 06 2022 Automatic Build System <autodist@mambasoft.it> 6.4.28-1mamba
- automatic version update by autodist

* Thu Jan 27 2022 Automatic Build System <autodist@mambasoft.it> 6.4.27-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Automatic Build System <autodist@mambasoft.it> 6.4.26-1mamba
- automatic version update by autodist

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 6.4.25-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 6.4.24-1mamba
- automatic version update by autodist

* Sun Oct 31 2021 Automatic Build System <autodist@mambasoft.it> 6.4.23-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 6.4.22-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.21-1mamba
- update to 6.4.21

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 6.4.19-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 6.4.18-1mamba
- automatic version update by autodist

* Sun Mar 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.17-2mamba
- provide required dir /var/lock/fetchmail

* Mon Mar 08 2021 Automatic Build System <autodist@mambasoft.it> 6.4.17-1mamba
- automatic version update by autodist

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 6.4.16-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Automatic Build System <autodist@mambasoft.it> 6.4.15-1mamba
- automatic version update by autodist

* Tue Dec 22 2020 Automatic Build System <autodist@mambasoft.it> 6.4.14-1mamba
- automatic version update by autodist

* Sun Oct 04 2020 Automatic Build System <autodist@mambasoft.it> 6.4.8-1mamba
- automatic update by autodist

* Sat Feb 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.2-1mamba
- update to 6.4.2

* Thu May 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.26-2mamba
- python 2.7 rebuild

* Wed Apr 24 2013 Automatic Build System <autodist@mambasoft.it> 6.3.26-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 6.3.25-1mamba
- automatic version update by autodist

* Mon Dec 24 2012 Automatic Build System <autodist@mambasoft.it> 6.3.24-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 6.3.23-1mamba
- automatic version update by autodist

* Thu Aug 30 2012 Automatic Build System <autodist@mambasoft.it> 6.3.22-1mamba
- automatic version update by autodist

* Mon Apr 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.21-2mamba
- configure for running as vmail user instead of fetchmail
- rebuilt with --with-ssl

* Mon Aug 22 2011 Automatic Build System <autodist@mambasoft.it> 6.3.21-1mamba
- automatic version update by autodist

* Mon Jun 06 2011 Automatic Build System <autodist@mambasoft.it> 6.3.20-1mamba
- automatic update by autodist

* Sat Dec 11 2010 Automatic Build System <autodist@mambasoft.it> 6.3.19-1mamba
- automatic update to 6.3.19 by autodist

* Sun Oct 10 2010 Automatic Build System <autodist@mambasoft.it> 6.3.18-1mamba
- automatic update to 6.3.18 by autodist

* Thu May 06 2010 Automatic Build System <autodist@mambasoft.it> 6.3.17-1mamba
- automatic update to 6.3.17 by autodist

* Wed Apr 07 2010 Automatic Build System <autodist@mambasoft.it> 6.3.16-1mamba
- automatic update to 6.3.16 by autodist

* Mon Mar 29 2010 Automatic Build System <autodist@mambasoft.it> 6.3.15-1mamba
- automatic update to 6.3.15 by autodist

* Fri Feb 05 2010 Automatic Build System <autodist@mambasoft.it> 6.3.14-1mamba
- automatic update to 6.3.14 by autodist

* Fri Oct 30 2009 Automatic Build System <autodist@mambasoft.it> 6.3.13-1mamba
- automatic update to 6.3.13 by autodist

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 6.3.12-1mamba
- automatic update to 6.3.12 by autodist

* Thu Aug 06 2009 Automatic Build System <autodist@mambasoft.it> 6.3.11-1mamba
- automatic update to 6.3.11 by autodist

* Fri Jul 03 2009 Automatic Build System <autodist@mambasoft.it> 6.3.10-1mamba
- automatic update to 6.3.10 by autodist

* Mon Nov 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.9-1mamba
- automatic update to 6.3.9 by autodist

* Sun Apr 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.8-1mamba
- update to version 6.3.8 by autospec

* Fri Mar 23 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.7-2qilnx
- added initscript
- added support for fetchmail user and group (FIXME:run daemon with these privileges)

* Thu Mar 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.7-1qilnx
- package created by autospec
